<Highlight @selection={{this.highlightSelection}} @onSelect={{@onSelect}} class="d-flex flex-column">
  <Layout
    @size={{@deviceSize}}
    @model={{@model}}
    @page={{@model.page}}
    @conditions={{@conditions}}
    @onSelect={{@onSelect}}
    @path="page"
    as |layoutCol|
  >
    <View::Selector @cols={{@model.page.cols}} @layoutCol={{layoutCol}} as |col index name|>
      <View::Slot
        @space={{@model.space}}
        @state={{@state}}
        @onChangeState={{@onChangeState}}
        @model={{@model}}
        @value={{col}}
        @isEditor={{true}}
        @deviceSize={{@deviceSize}}
        @path={{concat "page.cols." index}}
        {{did-insert (fn this.ensureColExists name)}}
      />
    </View::Selector>
  </Layout>
</Highlight>